Bug 520669 - Any time multiple sounds are played at a time, all audio breaks
Summary: Any time multiple sounds are played at a time, all audio breaks
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 11
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-01 17:41 UTC by Zack Cerza
Modified: 2009-10-20 21:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-20 21:09:57 UTC


Attachments (Terms of Use)
Screenshot of totem pretending to work (42.72 KB, image/png)
2009-09-01 17:41 UTC, Zack Cerza
no flags Details

Description Zack Cerza 2009-09-01 17:41:31 UTC
Created attachment 359433 [details]
Screenshot of totem pretending to work

I discovered this while playing a shoutcast stream with totem. Someone mentioned my name on IRC, and xchat-gnome played a sound to alert me. My stream stopped with this error message: "pa_stream_writable_size() failed: Connection terminated"

I pressed play in totem to restart the stream. "Failed to connect: Connection refused". I quit totem.

Audio is completely nonfunctional at this time. Sound Preferences still shows totem under the Applications tab. Nothing under the Sound Effects tab makes any noise.

I launch totem again, and reopen the same stream. It pretends to be playing, except its volume widget is disabled entirely (see attached screenshot). I quit totem again.

I start up Sound Preferences again. Sound Effects work now. I relaunch totem. It works again, until the next time another sound is played.

Version-Release number of selected component (if applicable):
pulseaudio-0.9.15-14.fc11.x86_64
totem-2.26.3-1.fc11.x86_64

Comment 1 Lennart Poettering 2009-09-07 21:44:18 UTC
Most likely PA terminated itself due to a kernel driver error. Please check syslog for any output from PA.

Comment 2 Zack Cerza 2009-09-08 17:52:15 UTC
I don't see anything. It just happened again at 13:42, and this is in /var/log/messages:

Sep  8 13:42:11 localhost pulseaudio[4041]: main.c: RLIMIT_RTPRIO failed: Operation not permitted
Sep  8 13:42:11 localhost pulseaudio[4043]: pid.c: Stale PID file, overwriting.

Comment 3 Adam Williamson 2009-10-20 19:48:32 UTC
can you please provide pulseaudio -vvvv output from reproducing the problem? run:

pulseaudio -k
pulseaudio -vvvv

in a console, then reproduce the problem. Attach the output from the console.

Can you also attach the output of 'alsa-info.sh --no-upload', and verify whether this happens with the latest F11 updates? Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Zack Cerza 2009-10-20 20:45:50 UTC
I've actually long since abandoned F11, mostly because of this. F12 does not have this problem, at least so far.

Comment 5 Adam Williamson 2009-10-20 21:09:57 UTC
I think we'll have to close this, then. Happy it works on F12, though! As Lennart thought, this was likely a kernel / ALSA error, which is fixed in the newer kernel / ALSA in F12.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Adam Williamson 2009-10-20 21:10:13 UTC
(of course, that would imply it'll get fixed in F11 if it ever gets bumped to kernel 2.6.31).

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.